Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLToolBar

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLElementContainer
                        |
                        +--oracle.jdeveloper.html.HTMLScript
                              |
                              +--oracle.jdeveloper.html.DHTMLToolBar

Direct Known Subclasses:
  JSToolbar

public class DHTMLToolBar
extends HTMLScript

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `name`
`protected boolean` | `useModalPage`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLToolBar()`
`DHTMLToolBar(java.lang.String name)`

Method Summary
`void` | `addButton(java.lang.String sImage, java.lang.String sURL)` Adds a button to the toolbar.
`void` | `addButton(java.lang.String sImage, java.lang.String sURL, java.lang.String sHelptext)` Adds a button to the toolbar.
`void` | `addButton(java.lang.String sImage, java.lang.String sRolloverImage, java.lang.String sDisabledImage, java.lang.String sURL, boolean isEnabled, java.lang.String sHelptext, java.lang.String sFrame)`
`void` | `addButton(ToolBarButton button, java.lang.String imageDir)`
`void` | `addDisabledButton(java.lang.String sImage)` Adds a disabled button to the toolbar.
`void` | `addDisabledButton(java.lang.String sImage, java.lang.String sHelptext)` Adds a disabled button to the toolbar.
`void` | `addDivider()`
`void` | `addPreDefinedButton(java.lang.String buttonName, java.lang.String sURL, boolean isEnabled, java.lang.String sHelptext)`
`void` | `addSeparator()`
`void` | `addTitle(java.lang.String title)`
`java.lang.String` | `getName()`
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setName(java.lang.String name)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### useModalPage

    protected boolean useModalPage

Constructor Detail

### DHTMLToolBar

    public DHTMLToolBar()

### DHTMLToolBar

    public DHTMLToolBar(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### addPreDefinedButton

    public void addPreDefinedButton(java.lang.String buttonName,
                                    java.lang.String sURL,
                                    boolean isEnabled,
                                    java.lang.String sHelptext)

### addButton

    public void addButton(java.lang.String sImage,
                          java.lang.String sRolloverImage,
                          java.lang.String sDisabledImage,
                          java.lang.String sURL,
                          boolean isEnabled,
                          java.lang.String sHelptext,
                          java.lang.String sFrame)

### addButton

    public void addButton(ToolBarButton button,
                          java.lang.String imageDir)

### addButton

    public void addButton(java.lang.String sImage,
                          java.lang.String sURL)

  Adds a button to the toolbar.
  Parameters:
    `sImage` - the URL of the button's image file (GIF or JPEG)
    `sUrl` - the URL to link to when the button is clicked

### addButton

    public void addButton(java.lang.String sImage,
                          java.lang.String sURL,
                          java.lang.String sHelptext)

  Adds a button to the toolbar.
  Parameters:
    `sImage` - the URL of the button's image file (GIF or JPEG)
    `sUrl` - the URL to link to when the button is clicked
    `sTitle` - the title that appears when the mouse pointer is held over the button

### addDisabledButton

    public void addDisabledButton(java.lang.String sImage)

  Adds a disabled button to the toolbar.
  Parameters:
    `sUrl` - - the URL of the disabled button's image file (GIF or JPEG)

### addDisabledButton

    public void addDisabledButton(java.lang.String sImage,
                                  java.lang.String sHelptext)

  Adds a disabled button to the toolbar.
  Parameters:
    `sUrl` - the URL of the disabled button's image file (GIF or JPEG)
    `sTitle` - the title that appears when the mouse pointer is held over the button

### addDivider

    public void addDivider()

### addSeparator

    public void addSeparator()

### addTitle

    public void addTitle(java.lang.String title)

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    renderContainerHeader in class HTMLScript

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class HTMLScript

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD